---
date: 2015-12-16T09:24:56-07:00
title: "hugo gen man"
slug: hugo_gen_man
url: /commands/hugo_gen_man/
---
## hugo gen man

Generate man pages for the Hugo CLI

### Synopsis


This command automatically generates up-to-date man pages of Hugo's
command-line interface.  By default, it creates the man page files
in the "man" directory under the current directory.

```
hugo gen man
```

### Options

```
      --dir="man/": the directory to write the man pages.
```

### Options inherited from parent commands

```
      --log[=false]: Enable Logging
      --logFile="": Log File path (if set, logging enabled automatically)
  -v, --verbose[=false]: verbose output
      --verboseLog[=false]: verbose logging
```

### SEE ALSO
* [hugo gen](/commands/hugo_gen/)	 - A collection of several useful generators.

###### Auto generated by spf13/cobra on 16-Dec-2015
